* {
    box-sizing: border-box; /* Asegura que el ancho total incluya bordes y padding */
    margin: 0;
    padding: 0;
    justify-content: center;
}

html, body {
    overflow-x: hidden; /* Previene cualquier desbordamiento horizontal */
    width: 100%;
}

.info-carrera {
    text-align: center;
    color:greenyellow;
    font-weight: bold;
    font-size: 24px;
    width: 90%;
    border: solid lightslategray;
    padding-bottom: 10px;
    border-width: 0 0 0.025px 0;
}

.info {
    width: 100% !important;
    flex-wrap: nowrap;
    overflow-x: hidden; /* Previene desbordamiento horizontal */
    justify-content: center !important;
}

.cxm_poster_img {
    max-width: 90%;
    object-fit: cover;
}

.sec-tarjetas {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-wrap: wrap; /* Asegura que las tarjetas se envuelvan si no hay suficiente espacio */
    gap: 20px; /* Añade espacio entre tarjetas */
    margin: 10px 0 20px 0;
}

.fila-tarjetas {
    width: 100% !important;
    display:flex;
    flex-direction: row;
    justify-content: center;
}

.tarjeta {
    background-color: #181a1b;
    width: 48%; /* Permite espacio entre las tarjetas y evita desbordamiento */
    display: flex;
    flex-direction: row; /* Cambiado a column para que el contenido interno se ajuste mejor */
    overflow: hidden; /* Previene cualquier contenido que se salga */
    padding-right: 20px;
}


.tarjeta img {
    width: 50%;
    height: 50%;
    height: 400px; /* Ajustar altura para evitar desbordamiento en pantallas más pequeñas */
    object-fit: cover;
    margin-right: 20px;
}

.info-tarjeta {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: space-between; /* Asegura que el contenido se distribuya con el botón en la parte inferior */
    text-align: left;
    padding: 10px; 
}


.enlace-tarjeta {
    margin-top: auto; 
    border: solid 3px greenyellow;
    padding: 5px 40px 5px 40px;
    background-color: transparent;
    text-transform: uppercase;
    font-weight: bold;
    color:greenyellow;
    width: 200px;
    text-align: center;
}

.enlace-tarjeta:hover {
    background-color: rgb(159, 221, 67);
}

.enlace-tarjeta:hover .enlace-tarjeta {
    color:black !important;
}

.titulo-tarjeta {
    color: #a8a095;
}

.texto-tarjeta {
    color: #a8a095;
}

.titulo-tarjeta {
    color:greenyellow;
    text-transform: uppercase;
    font-size: 32px;
    font-weight: bold;
}

.texto-tarjeta {
    width: 90%;
    font-size: 16px;
    margin-top: 15px;
}

@media (min-width: 370px) and (max-width: 571px){

    .info-carrera {
        width: 100% !important;
        margin-left: 0 !important;
        margin-right: 0 !important;
    }

    .tarjeta {
        flex-direction: column;
        width: 90% !important;
        margin-left: 0 !important;
        margin-right: 0 !important;
        padding: 0 !important;
    }

    .info-tarjeta {
        width: 100% !important;
        justify-content: center;
    }

    .texto-tarjeta {
        width: 90%;
    }

    .enlace-tarjeta {
        text-align: center;
        width: 100% !important;
    }

    .tarjeta img {
        height: 200px;
        width: 100%;
        object-fit: cover;
    }

    .tarjeta p {
        margin-top: 10px;
    }
}

@media (min-width: 572px) and (max-width: 991px){
    h2 {
        font-size: 24px !important;
        text-wrap: wrap !important;
    }

    p {
        font-size: 16px;
    }
}

@media (max-width: 992px) {

    .fila-tarjetas {
        flex-direction: column;
        justify-content: center;
        margin-left: 20px;
    }

    .tarjeta {
        width: 100%; /* Asegura que las tarjetas ocupen el ancho completo en pantallas pequeñas */
        margin-bottom: 20px; /* Añade un espacio entre tarjetas en pantallas pequeñas */
    }
}
